Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043963
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2020-05-06 12:552020-05-14 16:42
Reportera_singhView Statuspublic 
Assigned Tocberner 
PriorityhighResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision1c51e3e83830
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043963: on adding/removing non-grid parameters are not filtering the grid when the "Done" button process executed successfully

DescriptionFilters are not working in the grid when the "Done" button process executed successfully
Steps To ReproducePre steps :
Install org.openbravo.platform.features module and it's dependencies from:
https://gitlab.com/openbravo/demo/org.openbravo.platform.features [^]

1. Open Process Definition test window
2. Select any value in the non-grid parameter Multi BP.
3. Press Done button(Top right side)
4. Select another value in the non-grid parameter Multi BP.

Grid is not showing any data, expected to see filtered data as prior to pressing Done.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0043964 closedcberner Filters are not working in the grid when the "Done" button process executed successfully. 

-  Notes
(0119835)
cberner (developer)
2020-05-13 13:39

Merge request: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/71 [^]
(0119879)
cberner (developer)
2020-05-14 13:44

A related MR has been merged: https://gitlab.com/openbravo/demo/org.openbravo.platform.features/-/merge_requests/2 [^]
(0119881)
hgbot (developer)
2020-05-14 13:52

Repository: erp/devel/pi
Changeset: 1c51e3e838306dad6380fe644b20c0bd1b67212d
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Wed May 13 11:57:16 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1c51e3e838306dad6380fe644b20c0bd1b67212d [^]

Fixes ISSUE-43963: Update param window multiselector param correctly on Done

When the form of a process definition is validated the array value of the multiselector parameter gets modified to string after its isString default validator is executed.
This happens, for example after pressing the "Done" button to execute the process.
This fix ensures that the value of the multiselector parameter is reset to the corresponding array of values that the multiselector has selected once the validation has been executed.

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-multi-selector-item.js
---

- Issue History
Date Modified Username Field Change
2020-05-06 12:55 a_singh New Issue
2020-05-06 12:55 a_singh Assigned To => platform
2020-05-06 12:55 a_singh Web browser => Google Chrome
2020-05-06 12:55 a_singh Modules => Core
2020-05-06 12:55 a_singh Triggers an Emergency Pack => No
2020-05-06 13:13 sebastien_liron Web browser Google Chrome => Google Chrome
2020-05-06 13:13 sebastien_liron Summary Filters are not working in the grid when the "Done" button process executed successfully => on adding/removing non-grid parameters are not filtering the grid when the "Done" button process executed successfully
2020-05-12 10:21 sebastien_liron Web browser Google Chrome => Google Chrome
2020-05-12 10:21 sebastien_liron Steps to Reproduce Updated View Revisions
2020-05-12 13:22 cberner Assigned To platform => cberner
2020-05-12 14:01 alostale Web browser Google Chrome => Google Chrome
2020-05-13 13:39 cberner Note Added: 0119835
2020-05-13 13:43 cberner Web browser Google Chrome => Google Chrome
2020-05-13 13:43 cberner Steps to Reproduce Updated View Revisions
2020-05-14 13:38 cberner Relationship added has duplicate 0043964
2020-05-14 13:44 cberner Note Added: 0119879
2020-05-14 13:44 cberner Status new => scheduled
2020-05-14 13:52 hgbot Checkin
2020-05-14 13:52 hgbot Note Added: 0119881
2020-05-14 13:52 hgbot Status scheduled => resolved
2020-05-14 13:52 hgbot Resolution open => fixed
2020-05-14 13:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1c51e3e838306dad6380fe644b20c0bd1b67212d [^]
2020-05-14 16:42 caristu Review Assigned To => caristu
2020-05-14 16:42 caristu Status resolved => closed
2020-05-14 16:42 caristu Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker